Page MenuHomePhabricator

Thumbnail rendering of SVGs broken
Closed, ResolvedPublic

Description

Author: hendrik.tammen

Description:
Although the image
http://de.wikipedia.org/wiki/Bild:Hungary_budapest_city_park.svg was rendered
correctly when put into an article, it couldn't be viewed on its description
page and also not as a default thumbnail. A thumbnail bigger than the default
size worked!

The author had to remove a lot of information from the file, to shrink the
filesize from 804.184 Bytes to 138.941 Bytes (See history). Only then the
default thumbnail and the image on the description page were rendered.

You could download the bigger version from the history
(http://upload.wikimedia.org/wikipedia/de/archive/4/46/20070110141750%21Hungary_budapest_city_park.svg)
and upload it as a copy, to watch the effect.


Version: unspecified
Severity: major
Whiteboard: aklapper-moreinfo
URL: http://commons.wikimedia.org/wiki/Librsvg_bugs

Details

Reference
bz8566

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:31 PM
bzimport set Reference to bz8566.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 10 2007, 3:07 PM

jasen wrote:

it may be a function of the length of the lines segments
see http://en.wikipedia.org/wiki/File:Logarithmic_spiral.svg
the 17 decenber 2008 version is 130K and does not render correctly in thumbnail or on the description page

I'm getting the feeling that the renderer is mistakenly ignoring details that are smaller than 1 pixel

a partial fix would be to render them full size (or larger than full size) and then scale them
using a bicubic filter to get the smaller rendeings.

then atleast the thumbs represent the full size image, even if it does not represent the svg.

jesse.viviano wrote:

I am getting another failed thumbnail render at [[File:PCI Express logo.svg]] on the English Wikipedia. The logarithmic spiral still fails to render correctly from Jason Betts' comment above. I have changed the URL because that URL points to a deleted image.

jesse.viviano wrote:

I eventually had to delete [[File:PCI_Express_logo.svg]] as a corrupt image because this bug was not getting fixed.

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

TheDJ added a comment.Nov 4 2010, 2:48 AM

For [[File:PCI Express logo.svg]], the issue is apparently the coordinates on the tspan + the transform on the text element.

The other file is no longer available to me.

matthias wrote:

There is a gallery at http://commons.wikimedia.org/wiki/Librsvg_bugs with problematic thumbnail generation. If the browser supports SVG (everything but IE?) the PNG should be disabled imho.

(In reply to comment #7)

There is a gallery at http://commons.wikimedia.org/wiki/Librsvg_bugs with
problematic thumbnail generation. If the browser supports SVG (everything but
IE?) the PNG should be disabled imho.

This isn't always desirable: SVG require more bandwidth and rendering on user end, making everything slower: see http://leuksman.com/images/d/de/SVG-Open-2009-Wikipedia.pdf from p. 21 on.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 10:10 PM

The PCI express logo and the spiral issue seem fixed after the recent librsvg update.

Cannot judge original http://de.wikipedia.org/wiki/Bild:Hungary_budapest_city_park.svg because it was deleted.

ralf wrote:

This is not fixed. I just discovered a new SVG issue with lines. When will WM finally fund someone who fixes at least the most important SVG bugs? This is already six years on the plate!

(In reply to comment #11)

This is not fixed. I just discovered a new SVG issue with lines. When will WM
finally fund someone who fixes at least the most important SVG bugs? This is
already six years on the plate!

Example?

+keyword testme

What is the specific issue being reported here, and is it still open?

Re comment 11: There are many bugs for svg. In order to be useful the individual reports must report the individual issue.

Ralf: Please provide a specific example.

This is probably related to bug 42090 (I'm not quite sure however since the problematic SVG was deleted).

I submitted a patch for librsvg that fixes above mentioned bug (see bugtracker entry https://bugzilla.gnome.org/show_bug.cgi?id=605875), it still needs to be submitted to current Git sources, though.

As there are no testcases provided (which means it is impossible to define or test when the problem has been fixed), I'm closing this as a dup of bug 42090.

If this is not the same as bug 42090, please reopen and provide a specific testcase. Thanks!

  • This bug has been marked as a duplicate of bug 42090 ***